/* 
 This file was generated by Dashcode.  
 You may edit this file to customize your widget or web page 
 according to the license.txt file included in the project.
 */

// Pre-calculate some time constants
var msPerSecond = 1000;
var sPerMinute  = 60;
var sPerHour    = 60 * sPerMinute;
var sPerDay     = 24 * sPerHour;

// Properties set by attributes panel
var targetKind;
var countdownTarget;
var wantLeadingZeros;
var wantBlinkingColons;
var wantStopAtZero;
var doAction;
var zeroAction;
var iCalEventURL = "__iCalEvent__.ics";
var iCalEventSummary;
var sharediCalURL;

// JavaScript interval timer to update clock
var updateTimerDisplayInterval;

// Clock registers
var currentTime;
var remainingSeconds;
var remainingTime = new Array(4);
var iCalendar;

// Flag for whether we've reached/passed the target time
var isTargetReached = false;

//
// Function: updateTimerDisplay()
// The main loop called by our timer interval.
// Update the clock, display the new time, and run the alarm if the target is reached.
//
function updateTimerDisplay()
{
    //calculateRemainingTime();
    //formatTimerDisplay();
    //checkForAlarm();
    KrugoLet();
}

//
// Function: formatTimerDisplay()
// Called by updateTimerDisplay() when the timer's countdown display needs to be updated.
// The remainingTime array will contain the number of days, hours, minutes, and seconds
// left until the current target event.
// Customize this function if you need to to display the time in a different way.
//
function formatTimerDisplay()
{
/*
    setElementText("remaining-days",    remainingTime[0]);
    setElementText("remaining-hours",   formatTwoDigits(remainingTime[1]));
    setElementText("remaining-minutes", formatTwoDigits(remainingTime[2]));
    setElementText("remaining-seconds", formatTwoDigits(remainingTime[3]));

    // Blink the colons every other second if desired
    var isVisible = true;
    if (wantBlinkingColons) {
        var isVisible = Math.floor(currentTime / 1000) % 2 ? "hidden" : "visible";
    }
    var colonDiv = document.getElementById("timer-colons");
    if (colonDiv)
        colonDiv.style.visibility = isVisible;
    
*/
}

//
// Function: formatTwoDigits(number)
// Format a number as one or two digits with a leading zero if needed
//
// number: The number to format
//
// Returns the formatted number as a string.
//
function formatTwoDigits(number)
{
    var digits = number.toString(10);

    // Add a leading zero if it's only one digit long
    if (wantLeadingZeros && digits.length == 1) {
        digits = "0" + digits;
    }
    
    return digits;
}

//
// Function: setEventLabel(label)
// Format and display the countdown label
// You may need to customize this function if you remove or change the event-label div
//
// label: Text to display for the label
//
function setEventLabel(label)
{
    /*
    
    var eventLabelElement = document.getElementById("event-label");
    if (eventLabelElement) {
        var formatString = dashcode.getLocalizedString("Countdown to %s");
        var labelString = formatString.replace("%s", label);
        eventLabelElement.innerText = labelString;
    }
    
    */
}

//
// Function: setElementText(elementName, elementValue)
// Set the text contents of an HTML div
//
// elementName: Name of the element in the DOM
// elementValue: Text to display in the element
//
function setElementText(elementName, elementValue)
{
    var element = document.getElementById(elementName);
    if (element) {
        element.innerText = elementValue;
    }
}

//
// Function: checkForAlarm()
// Determine whether the target has been reached, and if so, call the alarm hook.
//
function checkForAlarm()
{
/*
    if (remainingSeconds <= 0) {
        // We're there
        if (isTargetReached == false) {
            // Make sure we only get here once
            isTargetReached = true;
            // Call the alarm hook
            if (doAction && zeroAction) {
                try {
                    eval(zeroAction);
                }
                catch (exception) {
                    alert(exception);
                }
            }
            // Start countdown to the next event
            setNextCountdownTarget();
        }
    }
*/
}

//
// Function: updateCurrentTime()
// Store the current time in the clock's internal state
//
function updateCurrentTime()
{
    //currentTime = new Date();
}

//
// Function: calculateRemainingTime()
// Determine the amount of time remaining to the current target
// Result is stored in the remainingTime array as [days, hours, minutes, seconds]
//
function calculateRemainingTime()
{
    // Start by getting the current date
    updateCurrentTime();
    // Clear excessive precision
    currentTime.setMilliseconds(0);

    // Number of seconds between now and target
    remainingSeconds = Math.floor((countdownTarget.eventTime.getTime() - currentTime.getTime()) / msPerSecond);
    if (remainingSeconds <= 0) {
        if (wantStopAtZero) {
            remainingSeconds = 0;
        }
        else {
            remainingSeconds = Math.abs(remainingSeconds);
        }
    }
    
    // Calculate days
    var remainingDays = Math.floor(remainingSeconds / sPerDay);
    // And take remainder
    var leftoverSeconds = remainingSeconds - remainingDays * sPerDay;
    // Same for hours, minutes, and seconds
    var remainingHours = Math.floor(leftoverSeconds / sPerHour);
    leftoverSeconds -= remainingHours * sPerHour;
    var remainingMinutes = Math.floor(leftoverSeconds / sPerMinute);
    leftoverSeconds -= remainingMinutes * sPerMinute;

    remainingTime[0] = remainingDays;
    remainingTime[1] = remainingHours;
    remainingTime[2] = remainingMinutes;
    remainingTime[3] = leftoverSeconds;
}

//
// Function: loadCalendarFromURL(callback, iCalURL)
// Loads and parses an iCal calendar
//
// callback: Optional function to be called after loading is complete
// iCalURL: URL of the iCal file to load
//
function loadCalendarFromURL(callback, iCalURL)
{
    var xmlRequest = new XMLHttpRequest();
    xmlRequest.open("GET", iCalURL, true);
    
    xmlRequest.onreadystatechange = function () {
        if (xmlRequest.readyState == 4) {
            iCalendar = (new ICSParser()).parse(xmlRequest.responseText);
            setNextCountdownTarget();
            // Fire the callback event, if necessary
            if (callback != null) {
                callback();
            }
        }
    };
    
    xmlRequest.send(null);
}

//
// Function: setCountdownTarget(countdownEvent)
// Set the timer's current event to count down to
//
// countdownEvent: object containing eventTime and eventLabel for the event
//
function setCountdownTarget(countdownEvent)
{
    countdownTarget = countdownEvent;
    if (countdownEvent.eventLabel != null) {
        setEventLabel(countdownEvent.eventLabel);
    }
}

//
// Function: setNextCountdownTarget()
// Find the next event in the event list and set the timer
//
function setNextCountdownTarget()
{
    updateCurrentTime();

    var nextEvent;
    if (iCalendar != null) {
        nextEvent = iCalendar[0].nextEvent();
    }
    
    if (nextEvent != null) {
        setCountdownTarget({ eventTime: nextEvent.nextOccurrence, eventLabel: nextEvent.summary });
        isTargetReached = false;
    }
}

//
// Function: startDisplayUpdateTimer()
// Start the interval timer to update the countdown once a second
//
function startDisplayUpdateTimer()
{
    updateTimerDisplay();

    if (!updateTimerDisplayInterval)
        updateTimerDisplayInterval = setInterval(updateTimerDisplay, 1000);
}

//
// Function: stopDisplayUpdateTimer()
// Remove the interval timer
//
function stopDisplayUpdateTimer()
{
    if (updateTimerDisplayInterval) {
        clearInterval(updateTimerDisplayInterval);
        updateTimerDisplayInterval = null;
    }
}

//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
    dashcode.setupParts();

    // Get the properties
    targetKind         = +attributes.targetKind;
    wantLeadingZeros   = attributes.showLeadingZeros == 1;
    wantBlinkingColons = attributes.blinkSeparators == 1;
    wantStopAtZero     = attributes.reachedActionIndex == 0;
    doAction           = attributes.doAction == 1;
    zeroAction         = attributes.zeroAction;
    iCalEventSummary   = attributes.iCalEventSummary;
    sharediCalURL      = attributes.sharediCalURL;
    setCountdownTarget({ eventTime: attributes.targetDateTime,
                         eventLabel: null });

    // Fix up URL
    if (sharediCalURL && sharediCalURL.length) {
        sharediCalURL = sharediCalURL.replace(/^webcal:\/\//, "http://");
    }

    // Make sure the alarm will run if necessary
    isTargetReached = false;
    
    if (targetKind == 0) {
        // Just start the timer now
        startDisplayUpdateTimer();
    } else if (targetKind == 1 && iCalEventSummary) {
        // Single iCal event but still pointing to an URL
        loadCalendarFromURL(startDisplayUpdateTimer, iCalEventURL);
    } else if (targetKind == 2 && sharediCalURL) {
        // If we're using remote events, load them and use the callback to start the timer
        loadCalendarFromURL(startDisplayUpdateTimer, sharediCalURL);
    }
}

//
// Function: remove()
// Called when the widget has been removed from the Dashboard
//
function remove()
{
    // remove any preferences as needed
    // widget.setPreferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
    stopDisplayUpdateTimer();
}

//
// Function: hide()
// Called when the widget has been hidden
//
function hide()
{
    // Stop timer to prevent CPU usage
    stopDisplayUpdateTimer();
}

//
// Function: show()
// Called when the widget has been shown
//
function show()
{
    // Re-start timer
    startDisplayUpdateTimer();
    
	//window.setTimeout("KrugoLet()",100); // обновление часов через 100 миллисекунд
}

//
// Function: sync()
// Called when the widget has been synchronized with .Mac
//
function sync()
{
    // Retrieve any preference values that you need to be synchronized here
    // Use this for an instance key's value:
    // instancePreferenceValue = widget.preferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
    //
    // Or this for global key's value:
    // globalPreferenceValue = widget.preferenceForKey(null, "your-key");    
}

//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget)
        widget.prepareForTransition("ToBack");

    front.style.display="none";
    back.style.display="block";
    
    if (window.widget)
        setTimeout('widget.performTransition();', 0);
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget)
        widget.prepareForTransition("ToFront");

    front.style.display="block";
    back.style.display="none";

    //startDisplayUpdateTimer();
    
    if (window.widget)
        setTimeout('widget.performTransition();', 0);
}

// Initialize the Dashboard event handlers
if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}

Dolja_SlavAri = 0;	//Доля 1/1296 Славяно-Арийской Части Часа  
Chasti = "";		//количество (с нулями) Частей (каждая 1/144 Часа) Славяно-Арийского часа
Chas_SlavAri = 4; 	//Час Славяно-Арийский (1/16 суток)
Chas = "";		//Название Славяно-Арийского Часа
Jar = "";		//Время суток
Dni = "";     		//день недели
Chislo_SlavAri = 21;	//Число Славяно-Арийского Месяца (в чётный месяц - 40 дней, в нечётный - 41)
Mes_SlavAri = 3;	//Славяно-Арийский Месяц (1-9)
Mes = "Бейлетъ";	//Славяно-Арийский Месяц (РАБГДЭВХТ)
Krug_Let = 6;		//Лето в Круге Лет - Круг - 16 Лет = 15 Простых Лет + 1 Священное Лето (все 9 Месяцев по 41 дню)
Krug = "";		//Название Лета ("первое" - Звёздного Храма)
Krug_Zizni = 102;	//Лето в Круге Жизни - Цикл 144 Лета = 9 Кругов Лет
S_M_Z_H = 7478;   	//Лето от Сотворения Мира в Звёздном Храме (Победы над Аримами) на полночь 1 января 1970 года от Р.Х.
Chertog = "";		//Чертог, где находится Ярило-Солнце
chast_tmp = 10000;

function KrugoLet()
{

	window.setTimeout("KrugoLet()",500); // обновление часов через 100 миллисекунд
    
	today=new Date();
	mSec_Greg = today.getTime() - (today.getTimezoneOffset() * 60000); // миллисекунд от полночи 1 января 1970 года до "сейчас"
//	Эти удальцы "привязали" функцию getTime() к "Гринвичу" - по сему надо "добавлять свой пояс"
//	a в функцию getTimezoneOffset(), которая должна возвращать различие в минутах между 
//	локальным и универсальным временем, "воткнули минус" - посему и мы "на их минус" ... "свой"
	mSec_SlavAri = mSec_Greg + 21600000; // миллисекунд от 16:000 21 Бейлетъ 7478 лета от С.М.З.Х. до "сейчас"
//	определяем зимнее или летнее время и отнимаем 3600000 миллисекунд, если летнее время
	mSec_SlavAri = mSec_SlavAri - (((new Date(2010, 0, 1)).getTimezoneOffset() - new Date().getTimezoneOffset())) * 60 * 1000;
//
	Vrem_SlavAri = (mSec_SlavAri % 86400000); // остаток миллисекунд в новых (текущих) сутка - сегодня
	Chas_SlavAri = Math.floor(Vrem_SlavAri / 5400000.00); // Славяно-Арийский час "числом" (текущий)
 	Chast_SlavAri = Math.floor((Vrem_SlavAri % 5400000) / 37500.00); // Славяно-Арийских частей часа (текущих)
	Dney_SlavAri = Math.floor(1.00 * (mSec_SlavAri / 86400000)); // прошло целых дней от 21 Бейлетъ 7478 от С.М.З.Х. до "сейчас"
	Den_SlavAri =  1 + Math.floor(Dney_SlavAri % 9.00); //День недели "числом" + "1", чтобы Понедельникъ был "1", а не "0" и Вторникъ - "2" т.д.
//
	if(Den_SlavAri == 1) Dni = "Понедельникъ";
	if(Den_SlavAri == 2) Dni = "Вторникъ";
	if(Den_SlavAri == 3) Dni = "Тритейникъ";
	if(Den_SlavAri == 4) Dni = "Четверикъ";
	if(Den_SlavAri == 5) Dni = "Пятница";
	if(Den_SlavAri == 6) Dni = "Шестица";
	if(Den_SlavAri == 7) Dni = "Седьмица";
	if(Den_SlavAri == 8) Dni = "Осьмица";
	if(Den_SlavAri == 9) Dni = "Неделя";
	if(Chast_SlavAri < 10) Chasti = "00" + Chast_SlavAri.toString();
	if(Chast_SlavAri >= 10 && Chast_SlavAri < 100) Chasti = "0" + Chast_SlavAri.toString();
	if(Chast_SlavAri >=100) Chasti = Chast_SlavAri.toString();
 	if(Chas_SlavAri >=0 && Chas_SlavAri < 4) Jar = "Вечер";
	if(Chas_SlavAri >=4 && Chas_SlavAri < 8) Jar = "Ночь";
	if(Chas_SlavAri >=8 && Chas_SlavAri < 12) Jar = "Утро";
	if(Chas_SlavAri >=12 && Chas_SlavAri <= 15) Jar = "День";
	if(Chas_SlavAri == 0) Chas_SlavAri = 16; // у Наших Пращуров не было "пустого" часа (по аналогии 0:00 - можно считать как 24:00 :)
	if(Chas_SlavAri == 16) Chas = "Поудани";
	if(Chas_SlavAri == 1) Chas = "Паобедъ";
	if(Chas_SlavAri == 2) Chas = "Вечиръ";
	if(Chas_SlavAri == 3) Chas = "Ничь";
	if(Chas_SlavAri == 4) Chas = "Полничь";
	if(Chas_SlavAri == 5) Chas = "Заутра";
	if(Chas_SlavAri == 6) Chas = "Заура";
	if(Chas_SlavAri == 7) Chas = "Заурнице";
	if(Chas_SlavAri == 8) Chas = "Настя";
	if(Chas_SlavAri == 9) Chas = "Сваоръ";
	if(Chas_SlavAri == 10) Chas = "Утрось";
	if(Chas_SlavAri == 11) Chas = "Поутрось";
	if(Chas_SlavAri == 12) Chas = "Обестна";
	if(Chas_SlavAri == 13) Chas = "Обесть";
	if(Chas_SlavAri == 14) Chas = "Подани";
	if(Chas_SlavAri == 15) Chas = "Утдайни";
//
// 	доля [графическое отображение - переменная dol; цифрой - переменная dolya] в 1296 раз меньше части, 
//	то есть = 37500 / 1296 = 28.93518518... миллисекунд
//	точность не имеет особого значения так как обнавление (корректировка) производиться раз в 100 миллисекунд
// 	а сам компьютер считает интервалы времени в тиках: 1 сек = 18,2 тика (!!!)
//
	var dol = "0000";
	var dolya = Math.floor(((Vrem_SlavAri % 5400000) % 37500) / 28.93518518)
//
//	если убрать этот "кусок" - доли будут "молотить без остановок"
//	
	if(dolya >= 0 && dolya < 16) dolya = 0;
	if(dolya >= 16 && dolya < 32) dolya = 16;
	if(dolya >= 32 && dolya < 48) dolya = 32;
	if(dolya >= 48 && dolya < 64) dolya = 48;
	if(dolya >= 64 && dolya < 80) dolya = 64;
	if(dolya >= 80 && dolya < 96) dolya = 80;
	if(dolya >= 96 && dolya < 112) dolya = 96;
	if(dolya >= 112 && dolya < 128) dolya = 112;
	if(dolya >= 128 && dolya < 144) dolya = 128;
	if(dolya >= 144 && dolya < 160) dolya = 144;
	if(dolya >= 160 && dolya < 176) dolya = 160;
	if(dolya >= 176 && dolya < 192) dolya = 176;
	if(dolya >= 192 && dolya < 208) dolya = 192;
	if(dolya >= 208 && dolya < 224) dolya = 208;
	if(dolya >= 224 && dolya < 240) dolya = 224;
	if(dolya >= 240 && dolya < 256) dolya = 240;
	if(dolya >= 256 && dolya < 272) dolya = 256;
	if(dolya >= 272 && dolya < 288) dolya = 272;
	if(dolya >= 288 && dolya < 304) dolya = 288;
	if(dolya >= 304 && dolya < 320) dolya = 304;
	if(dolya >= 320 && dolya < 336) dolya = 320;
	if(dolya >= 336 && dolya < 352) dolya = 336;
	if(dolya >= 352 && dolya < 368) dolya = 352;
	if(dolya >= 368 && dolya < 384) dolya = 368;
	if(dolya >= 384 && dolya < 400) dolya = 384;
	if(dolya >= 400 && dolya < 416) dolya = 400;
	if(dolya >= 416 && dolya < 432) dolya = 416;
	if(dolya >= 432 && dolya < 448) dolya = 432;
	if(dolya >= 448 && dolya < 464) dolya = 448;
	if(dolya >= 464 && dolya < 480) dolya = 464;
	if(dolya >= 480 && dolya < 496) dolya = 480;
	if(dolya >= 496 && dolya < 512) dolya = 496;
	if(dolya >= 512 && dolya < 528) dolya = 512;
	if(dolya >= 528 && dolya < 544) dolya = 528;
	if(dolya >= 544 && dolya < 560) dolya = 544;
	if(dolya >= 560 && dolya < 576) dolya = 560;
	if(dolya >= 576 && dolya < 592) dolya = 576;
	if(dolya >= 592 && dolya < 608) dolya = 592;
	if(dolya >= 608 && dolya < 624) dolya = 608;
	if(dolya >= 624 && dolya < 640) dolya = 624;
	if(dolya >= 640 && dolya < 656) dolya = 640;
	if(dolya >= 656 && dolya < 672) dolya = 656;
	if(dolya >= 672 && dolya < 688) dolya = 672;
	if(dolya >= 688 && dolya < 704) dolya = 688;
	if(dolya >= 704 && dolya < 720) dolya = 704;
	if(dolya >= 720 && dolya < 736) dolya = 720;
	if(dolya >= 736 && dolya < 752) dolya = 736;
	if(dolya >= 752 && dolya < 768) dolya = 752;
	if(dolya >= 768 && dolya < 784) dolya = 768;
	if(dolya >= 784 && dolya < 800) dolya = 784;
	if(dolya >= 800 && dolya < 816) dolya = 800;
	if(dolya >= 816 && dolya < 832) dolya = 816;
	if(dolya >= 832 && dolya < 848) dolya = 832;
	if(dolya >= 848 && dolya < 864) dolya = 848;
	if(dolya >= 864 && dolya < 880) dolya = 864;
	if(dolya >= 880 && dolya < 896) dolya = 880;
	if(dolya >= 896 && dolya < 912) dolya = 896;
	if(dolya >= 912 && dolya < 928) dolya = 912;
	if(dolya >= 928 && dolya < 944) dolya = 928;
	if(dolya >= 944 && dolya < 960) dolya = 944;
	if(dolya >= 960 && dolya < 976) dolya = 960;
	if(dolya >= 976 && dolya < 992) dolya = 976;
	if(dolya >= 992 && dolya < 1008) dolya = 992;
	if(dolya >= 1008 && dolya < 1024) dolya = 1008;
	if(dolya >= 1024 && dolya < 1040) dolya = 1024;
	if(dolya >= 1040 && dolya < 1056) dolya = 1040;
	if(dolya >= 1056 && dolya < 1072) dolya = 1056;
	if(dolya >= 1072 && dolya < 1088) dolya = 1072;
	if(dolya >= 1088 && dolya < 1104) dolya = 1088;
	if(dolya >= 1104 && dolya < 1120) dolya = 1104;
	if(dolya >= 1120 && dolya < 1136) dolya = 1120;
	if(dolya >= 1136 && dolya < 1152) dolya = 1136;
	if(dolya >= 1152 && dolya < 1168) dolya = 1152;
	if(dolya >= 1168 && dolya < 1184) dolya = 1168;
	if(dolya >= 1184 && dolya < 1200) dolya = 1184;
	if(dolya >= 1200 && dolya < 1216) dolya = 1200;
	if(dolya >= 1216 && dolya < 1232) dolya = 1216;
	if(dolya >= 1232 && dolya < 1248) dolya = 1232;
	if(dolya >= 1248 && dolya < 1264) dolya = 1248;
	if(dolya >= 1264 && dolya < 1280) dolya = 1264;
	if(dolya >= 1280 && dolya < 1296) dolya = 1280;
//
	if(dolya < 10) dol = "000" + dolya.toString();
	if(dolya >= 10 && dolya < 100) dol = "00" + dolya.toString();
	if(dolya >=100 && dolya < 1000) dol = "0" + dolya.toString();
	if(dolya >=1000) dol = dolya.toString();
	
	var localtime = new Date();
	var h = localtime.getHours();
	var m = localtime.getMinutes();
	var s = localtime.getSeconds();
	var y = localtime.getYear()+1900;
	var l = localtime.getMonth();
	if(l == 0) l = "Январь - Зима";
	if(l == 1) l = "Февраль - Зима";
	if(l == 2) l = "Март - Весна";
	if(l == 3) l = "Апрель - Весна";
	if(l == 4) l = "Май - Весна";
	if(l == 5) l = "Июнь - Лето";
	if(l == 6) l = "Июль - Лето";
	if(l == 7) l = "Август - Лето";
	if(l == 8) l = "Сентябрь - Осень";
	if(l == 9) l = "Октябрь - Осень";
	if(l == 10) l = "Ноябрь - Осень";
	if(l == 11) l = "Декабрь - Зима";
	var d = localtime.getDay();
	if(d == 1) d = "Понедельник";
	if(d == 2) d = "Вторник";
	if(d == 3) d = "Среда";
	if(d == 4) d = "Четверг";
	if(d == 5) d = "Пятница";
	if(d == 6) d = "Суббота";
	if(d == 0) d = "Воскресенье";	
	var da = localtime.getDate();
	var hh = (h < 10? "0": "") + h;
	var mm = (m < 10? "0": "") + m;
	var ss = (s < 10? "0": "") + s;

	var moyindikator;
    
     moyindikator = document.getElementById("text22");
/*	moyindikator.innerHTML = "<table border=1 cellpadding=2 cellspacing=0 style='border-collapse: collapse' bordercolor=#111111 width=100%><tr><td><b>Календарь</b></td><td><b>Время</b></td><td><b>День недели</b></td><td><b>Число</b></td><td><b>Месяц / Сороковник</b></td><td><b>Год / Л&#1123;то</b></td></tr><tr><td>Григорианский</td><td>" + hh + ":" + mm + ":" + ss + "</td><td>" + d + "</td><td>" + da + "</td><td>" + l + "</td><td>" + y + " год от Р.Х.</td></tr><tr><td valign=top>Славяно-<br>Арийский</td><td valign=top><b>" + Chas_SlavAri.toString() + ":" + Chasti + "." + dol + "</b><br>Название часа: " + Chas + "<br><b>" + Jar + "</b></td><td valign=top>" + Dni + "</td><td valign=top>" + Chislo_SlavAri + "</td><td valign=top>" + Mes + "</td><td valign=top>" + S_M_Z_H + " Л&#1123;то от С.М.З.Х.<br>Л&#1123;то <b>"+Krug+"</b><br><b>"+Krug_Let+"-ое Л&#1123;то в Круге Лет</b><br><b>"+Krug_Zizni+"-ое Л&#1123;то в Круге Жизни</b></td></tr><tr><td colspan=6 valign=top>Чертог: <b>"+Chertog+"</b><br>Эпоха в Сутках Сварога: <b>Лисы, Бог-покравитель Марёна</b> (392—2012 Р.Х.)</td></tr></table><br>";

*/

if (chast_tmp != Chasti) {
    

//	теперь займемся собственно расчетом Числа, Месяца и Лета
//	отправной параметр - Dney_SlavAri число целых дней от 21 Бейлетъ 7478 от С.М.З.Х. до "сейчас"
//   	зная, что Бейлетъ - третий Месяц (из 9), а Лето 7478 от С.М.З.Х было 102 Лето в Круге Жизни (из 144)
//      и 6 Лето в Круге Лет (из 16) воспользуемся этой информацией и "перейдем" к новолетию 7479 Лета от С.М.З.Х.
//	цикличностью не забывая, что каждое 16 Лето - Священное - то есть все Месяцы - по 41 дню.
//	21 день в Месяце Бейлетъ (c 21-ое по 41-ое), еще 120 дней (3 Месяца по 40 дней) и 123 дня (3 Месяца по 41 дню)
	Dney_SlavAri = Dney_SlavAri - 264;	//Получим число дней между Новолетием 7479 Лета от С.М.З.Х. и по вчерашний день включительно
	Chislo_SlavAri = 1;	//Следующее Число первое :)
	Mes_SlavAri = 1;	//Следующий Месяц Рамхатъ, то есть "первый"
	Krug_Let = 7;		//исходное	Krug_Let = 6  +  1
	Krug_Zizni = 103;	//Исходное	Krug_Zizni = 102  +  1
	S_M_Z_H = 7479;		//Исходное 	S_M_Z_H = 7478   +   1
//	осталось посчитать от Новолетия 7479 до "вчера" 
	while(Dney_SlavAri > 0)
		{
// отнимает (в цикле while) число полных Простых Лет
		if(Krug_Let != 16 && Dney_SlavAri >= 365 ) 
			{
			Dney_SlavAri = Dney_SlavAri - 365;
			Chislo_SlavAri = 1;	
			Mes_SlavAri = 1;
			Krug_Let = Krug_Let + 1;
			Krug_Zizni = Krug_Zizni + 1;
			S_M_Z_H = S_M_Z_H + 1;
			}
// отнимает (в цикле while) число полных Священных Лет
		if(Krug_Let == 16 && Dney_SlavAri >= 369) 
			{
			Dney_SlavAri = Dney_SlavAri - 369;
			Chislo_SlavAri = 1;	
			Mes_SlavAri = 1;
			Krug_Let = 1;
			if(Krug_Zizni == 144) Krug_Zizni = 1; else Krug_Zizni = Krug_Zizni + 1;
			S_M_Z_H = S_M_Z_H + 1;
			}
// отнимает (в цикле while) для Простого Лета число полных нечетных Месяцев - по 41 дню
		if(Krug_Let != 16 && Dney_SlavAri < 365 && Dney_SlavAri >= 41 && Mes_SlavAri != 2 && Mes_SlavAri != 4 && Mes_SlavAri != 6 && Mes_SlavAri != 8)
			{
			Dney_SlavAri = Dney_SlavAri - 41;
			Chislo_SlavAri = 1;	
			if(Mes_SlavAri == 9) 
				{
				Mes_SlavAri = 1; 
				Krug_Let = Krug_Let + 1;
				Krug_Zizni = Krug_Zizni + 1;
				S_M_Z_H = S_M_Z_H + 1;
				}
			else Mes_SlavAri = Mes_SlavAri + 1;
			}
// отнимает (в цикле while) для Простого Лета число полных четных Месяцев - по 40 дней
		if(Krug_Let != 16 && Dney_SlavAri < 365 && Dney_SlavAri >= 40 && Mes_SlavAri != 1 && Mes_SlavAri != 3 && Mes_SlavAri != 5 && Mes_SlavAri != 7 && Mes_SlavAri != 9)
			{
			Dney_SlavAri = Dney_SlavAri - 40;
			Chislo_SlavAri = 1;
			Mes_SlavAri = Mes_SlavAri + 1;
			}
// отнимает (в цикле while) для Священного Лета число полных Месяцев - по 41 дню
		if(Krug_Let == 16 && Dney_SlavAri >= 41 && Dney_SlavAri < 369)
			{
			Dney_SlavAri = Dney_SlavAri - 41;
			Chislo_SlavAri = 1;
			if(Mes_SlavAri == 9) 
				{
				Mes_SlavAri = 1; 
				Krug_Let = 1;
				if(Krug_Zizni == 144) Krug_Zizni = 1; else Krug_Zizni = Krug_Zizni + 1;
				S_M_Z_H = S_M_Z_H + 1;
				}
			else Mes_SlavAri = Mes_SlavAri + 1;
			}
// отнимает (в цикле while) для Простого Лета число дней в нечетных Месяцах - которые по 41 дню
		if(Krug_Let != 16 && Dney_SlavAri > 0 && Dney_SlavAri < 41 && Mes_SlavAri != 2 && Mes_SlavAri != 4 && Mes_SlavAri != 6 && Mes_SlavAri != 8)
			{
			Dney_SlavAri = Dney_SlavAri - 1;
			if(Chislo_SlavAri == 41)
				{
				Chislo_SlavAri = 1;
				if(Mes_SlavAri == 9) 
					{
					Mes_SlavAri = 1; 
					Krug_Let = Krug_Let + 1;
					Krug_Zizni = Krug_Zizni + 1;
					S_M_Z_H = S_M_Z_H + 1;
					}
				else Mes_SlavAri = Mes_SlavAri + 1;
				}
			else Chislo_SlavAri = Chislo_SlavAri + 1;
			}
// отнимает (в цикле while) для Простого Лета число дней в четных Месяцах - которые по 40 дней
		if(Krug_Let != 16 && Dney_SlavAri > 0 && Dney_SlavAri < 40 && Mes_SlavAri != 1 && Mes_SlavAri != 3 && Mes_SlavAri != 5 && Mes_SlavAri != 7 && Mes_SlavAri != 9)
			{
			Dney_SlavAri = Dney_SlavAri - 1;
			if(Chislo_SlavAri == 40) 
				{
				Chislo_SlavAri = 1; 
				Mes_SlavAri = Mes_SlavAri + 1;
				}
			else Chislo_SlavAri = Chislo_SlavAri + 1;
			}
// отнимает (в цикле while) для Священного Лета число дней в Месяце - которые все по 41 дню
		if(Krug_Let == 16 && Dney_SlavAri > 0 && Dney_SlavAri < 41)
			{
			Dney_SlavAri = Dney_SlavAri - 1;
			if(Chislo_SlavAri == 41)
				{
				Chislo_SlavAri = 1;
				if(Mes_SlavAri == 9) 
					{
					Mes_SlavAri = 1; 
					Krug_Let = 1;
					if(Krug_Zizni == 144) Krug_Zizni = 1; else Krug_Zizni = Krug_Zizni + 1;
					S_M_Z_H = S_M_Z_H + 1;
					}
				else Mes_SlavAri = Mes_SlavAri + 1;
				}
			else Chislo_SlavAri = Chislo_SlavAri + 1;
			}
		}
// Название Месяцев Славяно-Арийского Календаря (Коляды Даръ):
//
	if(Mes_SlavAri == 1) Mes = "Рамхатъ";
	if(Mes_SlavAri == 2) Mes = "Айлѣтъ";
	if(Mes_SlavAri == 3) Mes = "Бейлѣтъ";
	if(Mes_SlavAri == 4) Mes = "Гэйлѣтъ";
	if(Mes_SlavAri == 5) Mes = "Дайлѣтъ";
	if(Mes_SlavAri == 6) Mes = "Элѣтъ";
	if(Mes_SlavAri == 7) Mes = "Вэйлѣтъ";
	if(Mes_SlavAri == 8) Mes = "Хейлѣтъ";
	if(Mes_SlavAri == 9) Mes = "Тайлѣтъ";	
//		
//
//Чертог, где находится Ярило-Солнце: в "переходной день" смена Чертога произходит в 14:000 (Подани - начало Времени отдыха после трапезы)
//   или в 15:00 - советского зимнего времени или в 16:00 - летнего времени 
//
	if(Mes_SlavAri == 1 && Chislo_SlavAri == 1) Chertog = "Ярило Переходит из Чертога Девы в Чертог Вепря "; 
	if(Mes_SlavAri == 1 && Chislo_SlavAri == 22) Chertog = "Ярило Переходит из Чертога Вепря в Чертог Шуки "; 
	if(Mes_SlavAri == 2 && Chislo_SlavAri == 4) Chertog = "Ярило Переходит из Чертога Щуки в Чертог Лебедя "; 
 	if(Mes_SlavAri == 2 && Chislo_SlavAri == 25) Chertog = "Ярило Переходит из Чертога Лебедя в Чертог Змея "; 
 	if(Mes_SlavAri == 3 && Chislo_SlavAri == 7) Chertog = "Ярило Переходит из Чертога Змея в Чертог Ворона "; 
 	if(Mes_SlavAri == 3 && Chislo_SlavAri == 29) Chertog = "Ярило Переходит из Чертога Ворона в Чертог Медведя "; 
	if(Mes_SlavAri == 4 && Chislo_SlavAri == 12) Chertog = "Ярило Переходит из Чертога Медведя в Чертог Бусла "; 
	if(Mes_SlavAri == 4 && Chislo_SlavAri == 37) Chertog = "Ярило Переходит из Чертога Бусла в Чертог Волка "; 
	if(Mes_SlavAri == 5 && Chislo_SlavAri == 22) Chertog = "Ярило Переходит из Чертога Волка в Чертог Лисы "; 
	if(Mes_SlavAri == 6 && Chislo_SlavAri == 4) Chertog = "Ярило Переходит из Чертога Лисы в Чертог Тура "; 
 	if(Mes_SlavAri == 6 && Chislo_SlavAri == 26) Chertog = "Ярило Переходит из Чертога тура в Чертог Лося "; 
	if(Mes_SlavAri == 7 && Chislo_SlavAri == 9) Chertog = "Ярило Переходит из Чертога Лося в Чертог Финиста "; 
  	if(Mes_SlavAri == 7 && Chislo_SlavAri == 31) Chertog = "Ярило Переходит из Чертога Финиста в Чертог Коня "; 
	if(Mes_SlavAri == 8 && Chislo_SlavAri == 13) Chertog = "Ярило Переходит из Чертога Коня в Чертог Орла "; 
  	if(Mes_SlavAri == 8 && Chislo_SlavAri == 35) Chertog = "Ярило Переходит из Чертога Орла в Чертог Расы (Леопарда) "; 
	if(Mes_SlavAri == 9 && Chislo_SlavAri == 18) Chertog = "Ярило Переходит из Чертога Расы (Леопарда) в Чертог Девы "; 
	if(Mes_SlavAri == 1 && Chislo_SlavAri > 1 && Chislo_SlavAri < 22) Chertog = "Ярило в Чертоге Вепря; Покровитель РАМХАТ "; 
	if(Mes_SlavAri == 1 && Chislo_SlavAri > 22) Chertog = "Ярило в Чертоге Щуки; Покровительница РОЖАНА "; 
	if(Mes_SlavAri == 2 && Chislo_SlavAri < 4) Chertog = "Ярило в Чертоге Щуки; Покровительница РОЖАНА "; 
	if(Mes_SlavAri == 2 && Chislo_SlavAri > 4 && Chislo_SlavAri < 25) Chertog = "Ярило в Чертоге Лебедя, Покровительница МАКОШЬ ";
	if(Mes_SlavAri == 2 && Chislo_SlavAri > 25) Chertog = "Ярило в Чертоге Змея; Покровитель СЕМАРГЛ "; 
	if(Mes_SlavAri == 3 && Chislo_SlavAri < 7) Chertog = "Ярило в Чертоге Змея; Покровитель СЕМАРГЛ "; 
	if(Mes_SlavAri == 3 && Chislo_SlavAri > 7 && Chislo_SlavAri < 29) Chertog = "Ярило в Чертоге Ворона; Покровитель КОЛЯДА ";
	if(Mes_SlavAri == 3 && Chislo_SlavAri > 29) Chertog = "Ярило в Чертоге Медведя; Покровитель СВАРОГ "; 
	if(Mes_SlavAri == 4 && Chislo_SlavAri < 12) Chertog = "Ярило в Чертоге Медведя; Покровитель СВАРОГ "; 
	if(Mes_SlavAri == 4 && Chislo_SlavAri > 12 && Chislo_SlavAri < 37) Chertog = "Ярило в Чертоге Бусла; Покровитель РОД ";
	if(Mes_SlavAri == 4 && Chislo_SlavAri > 37) Chertog = "Ярило в Чертоге Волка; Покровитель ВЕЛЕС "; 
	if(Mes_SlavAri == 5 && Chislo_SlavAri < 22) Chertog = "Ярило в Чертоге Волка; Покровитель ВЕЛЕС "; 
	if(Mes_SlavAri == 5 && Chislo_SlavAri > 22) Chertog = "Ярило в Чертоге Лисы; Покровительница МАРЕНА ";
	if(Mes_SlavAri == 6 && Chislo_SlavAri < 4) Chertog = "Ярило в Чертоге Лисы; Покровительница МАРЕНА ";
	if(Mes_SlavAri == 6 && Chislo_SlavAri > 4 && Chislo_SlavAri < 26) Chertog = "Ярило в Чертоге Тура; Покровитель КРЫШЕНЬ ";
	if(Mes_SlavAri == 6 && Chislo_SlavAri > 26) Chertog = "Ярило в Чертоге Лося; Покровительница ЛАДА ";
	if(Mes_SlavAri == 7 && Chislo_SlavAri < 9) Chertog = "Ярило в Чертоге Лося; Покровительница ЛАДА ";
	if(Mes_SlavAri == 7 && Chislo_SlavAri > 9 && Chislo_SlavAri < 31) Chertog = "Ярило в Чертоге Финиста; Покровитель ВЫШЕНЬ ";
	if(Mes_SlavAri == 7 && Chislo_SlavAri > 31) Chertog = "Ярило в Чертоге Коня; Покровитель КУПАЛА ";
	if(Mes_SlavAri == 8 && Chislo_SlavAri < 13) Chertog = "Ярило в Чертоге Коня; Покровитель КУПАЛА  ";
	if(Mes_SlavAri == 8 && Chislo_SlavAri > 13 && Chislo_SlavAri < 35) Chertog = "Ярило в Чертоге Орла, Покровитель ПЕРУН ";
	if(Mes_SlavAri == 8 && Chislo_SlavAri > 35) Chertog = "Ярило в Чертоге Раса (Леопарда); Покровитель ТАРХ ";
	if(Mes_SlavAri == 9 && Chislo_SlavAri < 18) Chertog = "Ярило в Чертоге Раса (Леопарда); Покровитель ТАРХ ";
	if(Mes_SlavAri == 9 && Chislo_SlavAri > 18) Chertog = "Ярило в Чертоге Девы; Покровительница ДЖИВА";	
//		
//	можно теперь и со стихиями определиться (девять залов):
//
	if(Krug_Zizni == 1 || Krug_Zizni == 2 || Krug_Zizni == 19 || Krug_Zizni == 20 || Krug_Zizni == 37 || Krug_Zizni == 38 || Krug_Zizni == 55 || Krug_Zizni == 56 || Krug_Zizni == 73 || Krug_Zizni == 74 || Krug_Zizni == 91 || Krug_Zizni == 92 || Krug_Zizni == 109 || Krug_Zizni == 110 || Krug_Zizni == 127 || Krug_Zizni == 128) Krug = "Земного (Черного)";
	if(Krug_Zizni == 129 || Krug_Zizni == 130 || Krug_Zizni == 3 || Krug_Zizni == 4 || Krug_Zizni == 21 || Krug_Zizni == 22 || Krug_Zizni == 39 || Krug_Zizni == 40 || Krug_Zizni == 57 || Krug_Zizni == 58 || Krug_Zizni == 75 || Krug_Zizni == 76 || Krug_Zizni == 93 || Krug_Zizni == 94 || Krug_Zizni == 111 || Krug_Zizni == 112) Krug = "Звездного (Красного)";
	if(Krug_Zizni == 113 || Krug_Zizni == 114  || Krug_Zizni == 131 || Krug_Zizni == 132 || Krug_Zizni == 5 || Krug_Zizni == 6 || Krug_Zizni == 23 || Krug_Zizni == 24 || Krug_Zizni == 41 || Krug_Zizni == 42 || Krug_Zizni == 59 || Krug_Zizni == 60 || Krug_Zizni == 77 || Krug_Zizni == 78 || Krug_Zizni == 95 || Krug_Zizni == 96) Krug = "Огненного (Алого)";
	if(Krug_Zizni == 97 || Krug_Zizni == 98 || Krug_Zizni == 115 || Krug_Zizni == 116 || Krug_Zizni == 133 || Krug_Zizni == 134 || Krug_Zizni == 7 || Krug_Zizni == 8 || Krug_Zizni == 25 || Krug_Zizni == 26 || Krug_Zizni == 43 || Krug_Zizni == 44 || Krug_Zizni == 61 || Krug_Zizni == 62 || Krug_Zizni == 79 || Krug_Zizni == 80) Krug = "Солнечного (Златого)";
	if(Krug_Zizni == 81 || Krug_Zizni == 82 || Krug_Zizni == 99 || Krug_Zizni == 100 || Krug_Zizni == 117 || Krug_Zizni == 118 || Krug_Zizni == 135 || Krug_Zizni == 136 || Krug_Zizni == 9 || Krug_Zizni == 10 || Krug_Zizni == 27 || Krug_Zizni == 28 || Krug_Zizni == 45 || Krug_Zizni == 46 || Krug_Zizni == 63 || Krug_Zizni == 64) Krug = "Древесного (Зеленого)";
	if(Krug_Zizni == 65 || Krug_Zizni == 66 || Krug_Zizni == 83 || Krug_Zizni == 84 || Krug_Zizni == 101 || Krug_Zizni == 102 || Krug_Zizni == 119 || Krug_Zizni == 120 || Krug_Zizni == 137 || Krug_Zizni == 138 || Krug_Zizni == 11 || Krug_Zizni == 12 || Krug_Zizni == 29 || Krug_Zizni == 30 || Krug_Zizni == 47 || Krug_Zizni == 48) Krug = "Свага (Небесного)";
	if(Krug_Zizni == 49 || Krug_Zizni == 50 || Krug_Zizni == 67 || Krug_Zizni == 68 || Krug_Zizni == 85 || Krug_Zizni == 86 || Krug_Zizni == 103 || Krug_Zizni == 104 || Krug_Zizni == 121 || Krug_Zizni == 122 || Krug_Zizni == 139 || Krug_Zizni == 140 || Krug_Zizni == 13 || Krug_Zizni == 14 || Krug_Zizni == 31 || Krug_Zizni == 32) Krug = "Морского (Синего)";
	if(Krug_Zizni == 33 || Krug_Zizni == 34  || Krug_Zizni == 51 || Krug_Zizni == 52 || Krug_Zizni == 69 || Krug_Zizni == 70 || Krug_Zizni == 87 || Krug_Zizni == 88 || Krug_Zizni == 105 || Krug_Zizni == 106 || Krug_Zizni == 123 || Krug_Zizni == 124 || Krug_Zizni == 141 || Krug_Zizni == 142 || Krug_Zizni == 15 || Krug_Zizni == 16) Krug = "Лунного (Фиолетового)";
	if(Krug_Zizni == 17 || Krug_Zizni == 18  || Krug_Zizni == 35 || Krug_Zizni == 36 || Krug_Zizni == 53 || Krug_Zizni == 54 || Krug_Zizni == 71 || Krug_Zizni == 72 || Krug_Zizni == 89 || Krug_Zizni == 90 || Krug_Zizni == 107 || Krug_Zizni == 108 || Krug_Zizni == 125 || Krug_Zizni == 126 || Krug_Zizni == 143 || Krug_Zizni == 144) Krug = "Божественного (Белого)";
//     	шестнадцать хором:
	if(Krug_Zizni == 1 || Krug_Zizni == 129 || Krug_Zizni == 113 || Krug_Zizni == 97 || Krug_Zizni == 81 || Krug_Zizni == 65 || Krug_Zizni == 49 || Krug_Zizni == 33 || Krug_Zizni == 17) Krug = Krug + " Странника (Пути) ";
	if(Krug_Zizni == 2 || Krug_Zizni == 130 || Krug_Zizni == 114 || Krug_Zizni == 98 || Krug_Zizni == 82 || Krug_Zizni == 66 || Krug_Zizni == 50 || Krug_Zizni == 34 || Krug_Zizni == 18) Krug = Krug + " Жреца ";
	if(Krug_Zizni == 19 || Krug_Zizni == 3 || Krug_Zizni == 131 || Krug_Zizni == 115 || Krug_Zizni == 99 || Krug_Zizni == 83 || Krug_Zizni == 67 || Krug_Zizni == 51 || Krug_Zizni == 35) Krug = Krug + " Жрицы (Девы) ";
	if(Krug_Zizni == 20 || Krug_Zizni == 4 || Krug_Zizni == 132 || Krug_Zizni == 116 || Krug_Zizni == 100 || Krug_Zizni == 84 || Krug_Zizni == 68 || Krug_Zizni == 52 || Krug_Zizni == 36) Krug = Krug + " Мира (Яви) ";
	if(Krug_Zizni == 37 || Krug_Zizni == 21 || Krug_Zizni == 5 || Krug_Zizni == 133 || Krug_Zizni == 117 || Krug_Zizni == 101 || Krug_Zizni == 85 || Krug_Zizni == 69 || Krug_Zizni == 53) Krug = Krug + " Свитка ";
	if(Krug_Zizni == 38 || Krug_Zizni == 22 || Krug_Zizni == 6 || Krug_Zizni == 134 || Krug_Zizni == 118 || Krug_Zizni == 102 || Krug_Zizni == 86 || Krug_Zizni == 70 || Krug_Zizni == 54) Krug = Krug + " Феникса ";
	if(Krug_Zizni == 55 || Krug_Zizni == 39  || Krug_Zizni == 23 || Krug_Zizni == 7 || Krug_Zizni == 135 || Krug_Zizni == 119 || Krug_Zizni == 103 || Krug_Zizni == 87 || Krug_Zizni == 71) Krug = Krug + " Лиса (Нави) ";
	if(Krug_Zizni == 56 || Krug_Zizni == 40 || Krug_Zizni == 24 || Krug_Zizni == 8 || Krug_Zizni == 136 || Krug_Zizni == 120 || Krug_Zizni == 104 || Krug_Zizni == 88 || Krug_Zizni == 72) Krug = Krug + " Дракона ";
	if(Krug_Zizni == 73 || Krug_Zizni == 57 || Krug_Zizni == 41 || Krug_Zizni == 25 || Krug_Zizni == 9 || Krug_Zizni == 137 || Krug_Zizni == 121 || Krug_Zizni == 105 || Krug_Zizni == 89) Krug = Krug + " Змея ";
	if(Krug_Zizni == 74 || Krug_Zizni == 58 || Krug_Zizni == 42 || Krug_Zizni == 26 || Krug_Zizni == 10 || Krug_Zizni == 138 || Krug_Zizni == 122 || Krug_Zizni == 106 || Krug_Zizni == 90) Krug = Krug + " Орла ";
	if(Krug_Zizni == 91 || Krug_Zizni == 75 || Krug_Zizni == 59 || Krug_Zizni == 43 || Krug_Zizni == 27 || Krug_Zizni == 11 || Krug_Zizni == 139 || Krug_Zizni == 123 || Krug_Zizni == 107) Krug = Krug + " Дельфина ";
	if(Krug_Zizni == 92 || Krug_Zizni == 76 || Krug_Zizni == 60 || Krug_Zizni == 44 || Krug_Zizni == 28 || Krug_Zizni == 12 || Krug_Zizni == 140 || Krug_Zizni == 124 || Krug_Zizni == 108) Krug = Krug + " Коня ";
	if(Krug_Zizni == 109 || Krug_Zizni == 93 || Krug_Zizni == 77 || Krug_Zizni == 61 || Krug_Zizni == 45 || Krug_Zizni == 29 || Krug_Zizni == 13 || Krug_Zizni == 141 || Krug_Zizni == 125) Krug = Krug + " Пса ";
	if(Krug_Zizni == 110 || Krug_Zizni == 94 || Krug_Zizni == 78 || Krug_Zizni == 62 || Krug_Zizni == 46 || Krug_Zizni == 30 || Krug_Zizni == 14 || Krug_Zizni == 142 || Krug_Zizni == 126) Krug = Krug + " Тура (Коровы) ";
	if(Krug_Zizni == 127 || Krug_Zizni == 111 || Krug_Zizni == 95 || Krug_Zizni == 79 || Krug_Zizni == 63 || Krug_Zizni == 47 || Krug_Zizni == 31 || Krug_Zizni == 15 || Krug_Zizni == 143) Krug = Krug + " Хором (Дома) ";
	if(Krug_Zizni == 128 || Krug_Zizni == 112 || Krug_Zizni == 96 || Krug_Zizni == 80 || Krug_Zizni == 64 || Krug_Zizni == 48 || Krug_Zizni == 32 || Krug_Zizni == 16 || Krug_Zizni == 144) Krug = Krug + " Капища (Храма) "; 
	
    
    chast_tmp = Chasti;
    setElementText("remaining-leto",    S_M_Z_H);
    setElementText("remaining-sorokovnik",    Mes);
    setElementText("remaining-den",    Chislo_SlavAri);
    setElementText("label-dennedeli",    Dni);
    setElementText("label-leta",    Krug_Let + "/" + Krug_Zizni);
    setElementText("textchertog",  Chertog);


    setElementText("hours",    Chas_SlavAri.toString());
    setElementText("minutes",    Chasti); 
    setElementText("label-chasname",  Chas);
    
  }
}


function show_darislaw(event)
{
    widget.openURL("http://darislav.com/");
}


function CallbackMsg(event)
{
    widget.openURL("http://maxoftware.ru/widgets/");
}
